Request

Response

    Lists classification groups.
    GET

    v1/classifications/groups

    List classification groups. Classification groups are used to organize a set of parameters applied to an object by further grouping together as a subset of parameters. For example, in Revit, a set of parameters applied to an element are grouped under Dimensions, Materials, and so on. Currently, only groups used in Revit are included. For more information about classification groups, please refer to the Field Guide . For this endpoint, the user (authorization token) does not need access to a given Forma hub.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/parameters/v1/classifications/groups
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    Region
    string
    The region the hub’s data is provisioned in. Currently supports US, EMEA, AUS, IND, DEU, JPN, CAN, and GBR. Default is US.
    * Required

    Request

    Query String Parameters

    offset
    int
    Offset from the start of the collection to the first entry in the page. Zero based.
    limit
    int
    Determines the maximum number of objects that MAY be returned. A query MAY return fewer than the value of limit due to filtering or other reasons.
    filter[bindable]
    boolean
    Filters out the bindable items.
    ids
    string
    The group IDs split by comma. With this query parameter, you can get the specified groups in an array.

    Response

    HTTP Status Code Summary

    200
    OK
    Successful retrieval of the groups.
    400
    Bad Request
    The request could not be understood by the server due to malformed syntax.
    401
    Unauthorized
    Request has not been applied because it lacks valid authentication credentials for the target resource.
    403
    Forbidden
    The server understood the request but refuses to authorize it.
    404
    Not Found
    The resource cannot be found.
    406
    Not Acceptable
    The server cannot produce a response matching the list of acceptable values defined in the request.
    410
    Access to the target resource is no longer available.
    429
    Too Many Requests
    User has sent too many requests in a given amount of time.
    500
    Internal Server Error
    An unexpected error occurred on the server.
    503
    Service Unavailable
    Server is not ready to handle the request.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    The information for paginating records returned by the endpoint.
    offset
    int
    Offset from the start of the collection to the first entry in the page. Zero based.
    limit
    int
    Determines the maximum number of objects that MAY be returned. A query MAY return fewer than the value of limit due to filtering or other reasons.
    totalResults
    int
    The total number of results that match the query irrespective of limit.
    nextUrl
    string
    Link that will return the next page of data. If not included, this is the last page of data.
    results
    array: object
    id
    string
    Identifier of the group. It must contain only alphanumeric characters or underscores and must have a length of at least 2 characters and no more than 64 characters.
    name
    string
    The group name.
    bindingId
    string
    The binding ID of this group. It is used to create parameters with group binding, which will help to organize the parameters in different groups in the application, like Revit. The group can’t be bound to any parameters if the bindingId is null.

    Example

    Successful retrieval of the groups (200).

    Request

    curl -v 'https://developer.api.autodesk.com/parameters/v1/classifications/groups'
        -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
    

    Response

    {
      "pagination": {
        "offset": 0,
        "limit": 50,
        "totalResults": 3
      },
      "results": [
        {
          "typeId": "autodesk.parameter.group:adskModelProperties-1.0.0",
          "name": "Model Properties",
          "bindingId": "ABXZ-68714-GYLB-48622"
        },
        {
          "typeId": "autodesk.parameter.group:analysisResults-1.0.0",
          "name": "Analysis Results",
          "bindingId": "ABXZ-68714-GXQV-05589"
        },
        {
          "typeId": "autodesk.parameter.group:analyticalAlignment-1.0.0",
          "name": "Analytical Alignment",
          "bindingId": "ABXZ-68714-GKYQ-74544"
        }
      ]
    }
    
    Show More